package test_colorsys
import (
	π___python__Γcolorsys "__python__/colorsys"
	π___python__Γtest "__python__/test"
	π___python__ΓtestΓtest_support "__python__/test/test_support"
	π___python__Γunittest "__python__/unittest"
	πg "grumpy"
)
func initModule(πF *πg.Frame, _ []*πg.Object) (*πg.Object, *πg.BaseException) {
	ßColorsysTest := πg.InternStr("ColorsysTest")
	ßTestCase := πg.InternStr("TestCase")
	ß__main__ := πg.InternStr("__main__")
	ß__metaclass__ := πg.InternStr("__metaclass__")
	ß__module__ := πg.InternStr("__module__")
	ß__name__ := πg.InternStr("__name__")
	ßassertAlmostEqual := πg.InternStr("assertAlmostEqual")
	ßassertEqual := πg.InternStr("assertEqual")
	ßassertTripleEqual := πg.InternStr("assertTripleEqual")
	ßcolorsys := πg.InternStr("colorsys")
	ßfrange := πg.InternStr("frange")
	ßhls_to_rgb := πg.InternStr("hls_to_rgb")
	ßhsv_to_rgb := πg.InternStr("hsv_to_rgb")
	ßlen := πg.InternStr("len")
	ßrgb_to_hls := πg.InternStr("rgb_to_hls")
	ßrgb_to_hsv := πg.InternStr("rgb_to_hsv")
	ßrgb_to_yiq := πg.InternStr("rgb_to_yiq")
	ßrun_unittest := πg.InternStr("run_unittest")
	ßtest_hls_roundtrip := πg.InternStr("test_hls_roundtrip")
	ßtest_hls_values := πg.InternStr("test_hls_values")
	ßtest_hsv_roundtrip := πg.InternStr("test_hsv_roundtrip")
	ßtest_hsv_values := πg.InternStr("test_hsv_values")
	ßtest_main := πg.InternStr("test_main")
	ßtest_support := πg.InternStr("test_support")
	ßtest_yiq_roundtrip := πg.InternStr("test_yiq_roundtrip")
	ßtest_yiq_values := πg.InternStr("test_yiq_values")
	ßunittest := πg.InternStr("unittest")
	ßyiq_to_rgb := πg.InternStr("yiq_to_rgb")
	var πTemp001 *πg.Object
	_ = πTemp001
	var πTemp002 []*πg.Object
	_ = πTemp002
	var πTemp003 []πg.Param
	_ = πTemp003
	var πTemp004 *πg.Dict
	_ = πTemp004
	var πTemp005 *πg.Object
	_ = πTemp005
	var πTemp006 *πg.Object
	_ = πTemp006
	var πTemp007 *πg.Object
	_ = πTemp007
	var πTemp008 *πg.Object
	_ = πTemp008
	var πTemp009 bool
	_ = πTemp009
	var πE *πg.BaseException; _ = πE
	for ; πF.State() >= 0; πF.PopCheckpoint() {
		switch πF.State() {
		case 0:
		default: panic("unexpected function state")
		}
		// line 1: import unittest
		πF.SetLineno(1)
		if πTemp002, πE = πg.ImportModule(πF, "unittest", []*πg.Code{π___python__Γunittest.Code}); πE != nil {
			continue
		}
		πTemp001 = πTemp002[0]
		if πE = πF.Globals().SetItem(πF, ßunittest.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 2: import colorsys
		πF.SetLineno(2)
		if πTemp002, πE = πg.ImportModule(πF, "colorsys", []*πg.Code{π___python__Γcolorsys.Code}); πE != nil {
			continue
		}
		πTemp001 = πTemp002[0]
		if πE = πF.Globals().SetItem(πF, ßcolorsys.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 3: from test import test_support
		πF.SetLineno(3)
		if πTemp002, πE = πg.ImportModule(πF, "test.test_support", []*πg.Code{π___python__Γtest.Code, π___python__ΓtestΓtest_support.Code}); πE != nil {
			continue
		}
		πTemp001 = πTemp002[1]
		if πE = πF.Globals().SetItem(πF, ßtest_support.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 5: def frange(start, stop, step):
		πF.SetLineno(5)
		πTemp003 = make([]πg.Param, 3)
		πTemp003[0] = πg.Param{Name: "start", Def: nil}
		πTemp003[1] = πg.Param{Name: "stop", Def: nil}
		πTemp003[2] = πg.Param{Name: "step", Def: nil}
		πTemp001 = πg.NewFunction(πg.NewCode("frange", "build/src/__python__/test/test_colorsys.py", πTemp003, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µstart *πg.Object = πArgs[0]; _ = µstart
			var µstop *πg.Object = πArgs[1]; _ = µstop
			var µstep *πg.Object = πArgs[2]; _ = µstep
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 bool
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			return πg.NewGenerator(πF, func(πSent *πg.Object) (*πg.Object, *πg.BaseException) {
				var πE *πg.BaseException; _ = πE
				for ; πF.State() >= 0; πF.PopCheckpoint() {
					switch πF.State() {
					case 0:
					case 3: goto Label3
					default: panic("unexpected function state")
					}
					// line 6: while start <= stop:
					πF.SetLineno(6)
				Label1:
					if πE = πg.CheckLocal(πF, µstart, "start"); πE != nil {
						continue
					}
					if πE = πg.CheckLocal(πF, µstop, "stop"); πE != nil {
						continue
					}
					if πTemp001, πE = πg.LE(πF, µstart, µstop); πE != nil {
						continue
					}
					if πTemp002, πE = πg.IsTrue(πF, πTemp001); πE != nil {
						continue
					}
					if !πTemp002 {
						goto Label2
					}
					// line 7: yield start
					πF.SetLineno(7)
					if πE = πg.CheckLocal(πF, µstart, "start"); πE != nil {
						continue
					}
					πF.PushCheckpoint(3)
					return µstart, nil
				Label3:
					πTemp003 = πSent
					// line 8: start += step
					πF.SetLineno(8)
					if πE = πg.CheckLocal(πF, µstart, "start"); πE != nil {
						continue
					}
					if πE = πg.CheckLocal(πF, µstep, "step"); πE != nil {
						continue
					}
					if πTemp003, πE = πg.IAdd(πF, µstart, µstep); πE != nil {
						continue
					}
					µstart = πTemp003
					goto Label1
					goto Label2
				Label2:
					return nil, nil
				}
				return nil, πE
			}).ToObject(), nil
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßfrange.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 10: class ColorsysTest(unittest.TestCase):
		πF.SetLineno(10)
		πTemp002 = make([]*πg.Object, 1)
		if πTemp007, πE = πg.ResolveGlobal(πF, ßunittest); πE != nil {
			continue
		}
		if πTemp008, πE = πg.GetAttr(πF, πTemp007, ßTestCase, nil); πE != nil {
			continue
		}
		πTemp002[0] = πTemp008
		πTemp004 = πg.NewDict()
		if πTemp005, πE = πF.Globals().GetItem(πF, ß__name__.ToObject()); πE != nil {
			continue
		}
		if πE = πTemp004.SetItem(πF, ß__module__.ToObject(), πTemp005); πE != nil {
			continue
		}
		_, πE = πg.NewCode("ColorsysTest", "build/src/__python__/test/test_colorsys.py", nil, 0, func(πF *πg.Frame, _ []*πg.Object) (*πg.Object, *πg.BaseException) {
			πClass := πTemp004
			_ = πClass
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 []πg.Param
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 *πg.Object
			_ = πTemp004
			var πTemp005 *πg.Object
			_ = πTemp005
			var πTemp006 *πg.Object
			_ = πTemp006
			var πTemp007 *πg.Object
			_ = πTemp007
			var πTemp008 *πg.Object
			_ = πTemp008
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 12: def assertTripleEqual(self, tr1, tr2):
				πF.SetLineno(12)
				πTemp002 = make([]πg.Param, 3)
				πTemp002[0] = πg.Param{Name: "self", Def: nil}
				πTemp002[1] = πg.Param{Name: "tr1", Def: nil}
				πTemp002[2] = πg.Param{Name: "tr2", Def: nil}
				πTemp001 = πg.NewFunction(πg.NewCode("assertTripleEqual", "build/src/__python__/test/test_colorsys.py", πTemp002, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
					var µself *πg.Object = πArgs[0]; _ = µself
					var µtr1 *πg.Object = πArgs[1]; _ = µtr1
					var µtr2 *πg.Object = πArgs[2]; _ = µtr2
					var πTemp001 []*πg.Object
					_ = πTemp001
					var πTemp002 []*πg.Object
					_ = πTemp002
					var πTemp003 *πg.Object
					_ = πTemp003
					var πTemp004 *πg.Object
					_ = πTemp004
					var πE *πg.BaseException; _ = πE
					for ; πF.State() >= 0; πF.PopCheckpoint() {
						switch πF.State() {
						case 0:
						default: panic("unexpected function state")
						}
						// line 13: self.assertEqual(len(tr1), 3)
						πF.SetLineno(13)
						πTemp001 = πF.MakeArgs(2)
						πTemp002 = πF.MakeArgs(1)
						if πE = πg.CheckLocal(πF, µtr1, "tr1"); πE != nil {
							continue
						}
						πTemp002[0] = µtr1
						if πTemp003, πE = πg.ResolveGlobal(πF, ßlen); πE != nil {
							continue
						}
						if πTemp004, πE = πTemp003.Call(πF, πTemp002, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp002)
						πTemp001[0] = πTemp004
						πTemp001[1] = πg.NewInt(3).ToObject()
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp003, πE = πg.GetAttr(πF, µself, ßassertEqual, nil); πE != nil {
							continue
						}
						if πTemp004, πE = πTemp003.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						// line 14: self.assertEqual(len(tr2), 3)
						πF.SetLineno(14)
						πTemp001 = πF.MakeArgs(2)
						πTemp002 = πF.MakeArgs(1)
						if πE = πg.CheckLocal(πF, µtr2, "tr2"); πE != nil {
							continue
						}
						πTemp002[0] = µtr2
						if πTemp003, πE = πg.ResolveGlobal(πF, ßlen); πE != nil {
							continue
						}
						if πTemp004, πE = πTemp003.Call(πF, πTemp002, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp002)
						πTemp001[0] = πTemp004
						πTemp001[1] = πg.NewInt(3).ToObject()
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp003, πE = πg.GetAttr(πF, µself, ßassertEqual, nil); πE != nil {
							continue
						}
						if πTemp004, πE = πTemp003.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						// line 15: self.assertAlmostEqual(tr1[0], tr2[0])
						πF.SetLineno(15)
						πTemp001 = πF.MakeArgs(2)
						πTemp003 = πg.NewInt(0).ToObject()
						if πE = πg.CheckLocal(πF, µtr1, "tr1"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.GetItem(πF, µtr1, πTemp003); πE != nil {
							continue
						}
						πTemp001[0] = πTemp004
						πTemp003 = πg.NewInt(0).ToObject()
						if πE = πg.CheckLocal(πF, µtr2, "tr2"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.GetItem(πF, µtr2, πTemp003); πE != nil {
							continue
						}
						πTemp001[1] = πTemp004
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp003, πE = πg.GetAttr(πF, µself, ßassertAlmostEqual, nil); πE != nil {
							continue
						}
						if πTemp004, πE = πTemp003.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						// line 16: self.assertAlmostEqual(tr1[1], tr2[1])
						πF.SetLineno(16)
						πTemp001 = πF.MakeArgs(2)
						πTemp003 = πg.NewInt(1).ToObject()
						if πE = πg.CheckLocal(πF, µtr1, "tr1"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.GetItem(πF, µtr1, πTemp003); πE != nil {
							continue
						}
						πTemp001[0] = πTemp004
						πTemp003 = πg.NewInt(1).ToObject()
						if πE = πg.CheckLocal(πF, µtr2, "tr2"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.GetItem(πF, µtr2, πTemp003); πE != nil {
							continue
						}
						πTemp001[1] = πTemp004
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp003, πE = πg.GetAttr(πF, µself, ßassertAlmostEqual, nil); πE != nil {
							continue
						}
						if πTemp004, πE = πTemp003.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						// line 17: self.assertAlmostEqual(tr1[2], tr2[2])
						πF.SetLineno(17)
						πTemp001 = πF.MakeArgs(2)
						πTemp003 = πg.NewInt(2).ToObject()
						if πE = πg.CheckLocal(πF, µtr1, "tr1"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.GetItem(πF, µtr1, πTemp003); πE != nil {
							continue
						}
						πTemp001[0] = πTemp004
						πTemp003 = πg.NewInt(2).ToObject()
						if πE = πg.CheckLocal(πF, µtr2, "tr2"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.GetItem(πF, µtr2, πTemp003); πE != nil {
							continue
						}
						πTemp001[1] = πTemp004
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp003, πE = πg.GetAttr(πF, µself, ßassertAlmostEqual, nil); πE != nil {
							continue
						}
						if πTemp004, πE = πTemp003.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						return nil, nil
					}
					return nil, πE
				}), πF.Globals()).ToObject()
				if πE = πClass.SetItem(πF, ßassertTripleEqual.ToObject(), πTemp001); πE != nil {
					continue
				}
				// line 19: def test_hsv_roundtrip(self):
				πF.SetLineno(19)
				πTemp002 = make([]πg.Param, 1)
				πTemp002[0] = πg.Param{Name: "self", Def: nil}
				πTemp003 = πg.NewFunction(πg.NewCode("test_hsv_roundtrip", "build/src/__python__/test/test_colorsys.py", πTemp002, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
					var µself *πg.Object = πArgs[0]; _ = µself
					var µr *πg.Object = πg.UnboundLocal; _ = µr
					var µg *πg.Object = πg.UnboundLocal; _ = µg
					var µb *πg.Object = πg.UnboundLocal; _ = µb
					var µrgb *πg.Object = πg.UnboundLocal; _ = µrgb
					var πTemp001 []*πg.Object
					_ = πTemp001
					var πTemp002 *πg.Object
					_ = πTemp002
					var πTemp003 *πg.Object
					_ = πTemp003
					var πTemp004 *πg.Object
					_ = πTemp004
					var πTemp005 *πg.Object
					_ = πTemp005
					var πTemp006 *πg.Object
					_ = πTemp006
					var πTemp007 *πg.Object
					_ = πTemp007
					var πTemp008 *πg.Object
					_ = πTemp008
					var πTemp009 *πg.Object
					_ = πTemp009
					var πTemp010 *πg.Object
					_ = πTemp010
					var πTemp011 *πg.Object
					_ = πTemp011
					var πTemp012 *πg.Object
					_ = πTemp012
					var πTemp013 *πg.Object
					_ = πTemp013
					var πE *πg.BaseException; _ = πE
					for ; πF.State() >= 0; πF.PopCheckpoint() {
						switch πF.State() {
						case 0:
						default: panic("unexpected function state")
						}
						// line 20: for r in frange(0.0, 1.0, 0.2):
						πF.SetLineno(20)
						πTemp001 = πF.MakeArgs(3)
						πTemp001[0] = πg.NewFloat(0.0).ToObject()
						πTemp001[1] = πg.NewFloat(1.0).ToObject()
						πTemp001[2] = πg.NewFloat(0.2).ToObject()
						if πTemp002, πE = πg.ResolveGlobal(πF, ßfrange); πE != nil {
							continue
						}
						if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						if πTemp002, πE = πg.Iter(πF, πTemp003); πE != nil {
							continue
						}
					Label1:
						if πTemp004, πE = πg.Next(πF, πTemp002); πE != nil {
							isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
							if exc != nil {
								πE = exc
								continue
							}
							if !isStop {
								continue
							}
							πE = nil
							πF.RestoreExc(nil, nil)
							goto Label2
						}
						µr = πTemp004
						// line 21: for g in frange(0.0, 1.0, 0.2):
						πF.SetLineno(21)
						πTemp001 = πF.MakeArgs(3)
						πTemp001[0] = πg.NewFloat(0.0).ToObject()
						πTemp001[1] = πg.NewFloat(1.0).ToObject()
						πTemp001[2] = πg.NewFloat(0.2).ToObject()
						if πTemp005, πE = πg.ResolveGlobal(πF, ßfrange); πE != nil {
							continue
						}
						if πTemp006, πE = πTemp005.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						if πTemp005, πE = πg.Iter(πF, πTemp006); πE != nil {
							continue
						}
					Label3:
						if πTemp007, πE = πg.Next(πF, πTemp005); πE != nil {
							isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
							if exc != nil {
								πE = exc
								continue
							}
							if !isStop {
								continue
							}
							πE = nil
							πF.RestoreExc(nil, nil)
							goto Label4
						}
						µg = πTemp007
						// line 22: for b in frange(0.0, 1.0, 0.2):
						πF.SetLineno(22)
						πTemp001 = πF.MakeArgs(3)
						πTemp001[0] = πg.NewFloat(0.0).ToObject()
						πTemp001[1] = πg.NewFloat(1.0).ToObject()
						πTemp001[2] = πg.NewFloat(0.2).ToObject()
						if πTemp008, πE = πg.ResolveGlobal(πF, ßfrange); πE != nil {
							continue
						}
						if πTemp009, πE = πTemp008.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						if πTemp008, πE = πg.Iter(πF, πTemp009); πE != nil {
							continue
						}
					Label5:
						if πTemp010, πE = πg.Next(πF, πTemp008); πE != nil {
							isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
							if exc != nil {
								πE = exc
								continue
							}
							if !isStop {
								continue
							}
							πE = nil
							πF.RestoreExc(nil, nil)
							goto Label6
						}
						µb = πTemp010
						// line 23: rgb = (r, g, b)
						πF.SetLineno(23)
						if πE = πg.CheckLocal(πF, µr, "r"); πE != nil {
							continue
						}
						if πE = πg.CheckLocal(πF, µg, "g"); πE != nil {
							continue
						}
						if πE = πg.CheckLocal(πF, µb, "b"); πE != nil {
							continue
						}
						πTemp011 = πg.NewTuple3(µr, µg, µb).ToObject()
						µrgb = πTemp011
						// line 24: self.assertTripleEqual(
						πF.SetLineno(24)
						πTemp001 = πF.MakeArgs(2)
						if πE = πg.CheckLocal(πF, µrgb, "rgb"); πE != nil {
							continue
						}
						πTemp001[0] = µrgb
						if πE = πg.CheckLocal(πF, µrgb, "rgb"); πE != nil {
							continue
						}
						if πTemp011, πE = πg.ResolveGlobal(πF, ßcolorsys); πE != nil {
							continue
						}
						if πTemp012, πE = πg.GetAttr(πF, πTemp011, ßrgb_to_hsv, nil); πE != nil {
							continue
						}
						if πTemp011, πE = πg.Invoke(πF, πTemp012, nil, µrgb, nil, nil); πE != nil {
							continue
						}
						if πTemp012, πE = πg.ResolveGlobal(πF, ßcolorsys); πE != nil {
							continue
						}
						if πTemp013, πE = πg.GetAttr(πF, πTemp012, ßhsv_to_rgb, nil); πE != nil {
							continue
						}
						if πTemp012, πE = πg.Invoke(πF, πTemp013, nil, πTemp011, nil, nil); πE != nil {
							continue
						}
						πTemp001[1] = πTemp012
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp011, πE = πg.GetAttr(πF, µself, ßassertTripleEqual, nil); πE != nil {
							continue
						}
						if πTemp012, πE = πTemp011.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						goto Label5
						goto Label6
					Label6:
						goto Label3
						goto Label4
					Label4:
						goto Label1
						goto Label2
					Label2:
						return nil, nil
					}
					return nil, πE
				}), πF.Globals()).ToObject()
				if πE = πClass.SetItem(πF, ßtest_hsv_roundtrip.ToObject(), πTemp003); πE != nil {
					continue
				}
				// line 29: def test_hsv_values(self):
				πF.SetLineno(29)
				πTemp002 = make([]πg.Param, 1)
				πTemp002[0] = πg.Param{Name: "self", Def: nil}
				πTemp004 = πg.NewFunction(πg.NewCode("test_hsv_values", "build/src/__python__/test/test_colorsys.py", πTemp002, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
					var µself *πg.Object = πArgs[0]; _ = µself
					var µvalues *πg.Object = πg.UnboundLocal; _ = µvalues
					var µrgb *πg.Object = πg.UnboundLocal; _ = µrgb
					var µhsv *πg.Object = πg.UnboundLocal; _ = µhsv
					var πTemp001 []*πg.Object
					_ = πTemp001
					var πTemp002 *πg.Object
					_ = πTemp002
					var πTemp003 *πg.Object
					_ = πTemp003
					var πTemp004 *πg.Object
					_ = πTemp004
					var πTemp005 *πg.Object
					_ = πTemp005
					var πE *πg.BaseException; _ = πE
					for ; πF.State() >= 0; πF.PopCheckpoint() {
						switch πF.State() {
						case 0:
						default: panic("unexpected function state")
						}
						// line 30: values = [
						πF.SetLineno(30)
						πTemp001 = make([]*πg.Object, 9)
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						πTemp004 = πg.NewTuple3(πg.NewInt(0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[0] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						if πTemp005, πE = πg.Div(πF, πg.NewFloat(4.0).ToObject(), πg.NewFloat(6.0).ToObject()); πE != nil {
							continue
						}
						πTemp004 = πg.NewTuple3(πTemp005, πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[1] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.0).ToObject(), πg.NewFloat(1.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						if πTemp005, πE = πg.Div(πF, πg.NewFloat(2.0).ToObject(), πg.NewFloat(6.0).ToObject()); πE != nil {
							continue
						}
						πTemp004 = πg.NewTuple3(πTemp005, πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[2] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.0).ToObject(), πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						if πTemp005, πE = πg.Div(πF, πg.NewFloat(3.0).ToObject(), πg.NewFloat(6.0).ToObject()); πE != nil {
							continue
						}
						πTemp004 = πg.NewTuple3(πTemp005, πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[3] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(1.0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						πTemp004 = πg.NewTuple3(πg.NewInt(0).ToObject(), πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[4] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(1.0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						if πTemp005, πE = πg.Div(πF, πg.NewFloat(5.0).ToObject(), πg.NewFloat(6.0).ToObject()); πE != nil {
							continue
						}
						πTemp004 = πg.NewTuple3(πTemp005, πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[5] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						if πTemp005, πE = πg.Div(πF, πg.NewFloat(1.0).ToObject(), πg.NewFloat(6.0).ToObject()); πE != nil {
							continue
						}
						πTemp004 = πg.NewTuple3(πTemp005, πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[6] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp004 = πg.NewTuple3(πg.NewInt(0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[7] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.5).ToObject(), πg.NewFloat(0.5).ToObject(), πg.NewFloat(0.5).ToObject()).ToObject()
						πTemp004 = πg.NewTuple3(πg.NewInt(0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.5).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[8] = πTemp002
						πTemp002 = πg.NewList(πTemp001...).ToObject()
						µvalues = πTemp002
						// line 42: for (rgb, hsv) in values:
						πF.SetLineno(42)
						if πE = πg.CheckLocal(πF, µvalues, "values"); πE != nil {
							continue
						}
						if πTemp002, πE = πg.Iter(πF, µvalues); πE != nil {
							continue
						}
					Label1:
						if πTemp003, πE = πg.Next(πF, πTemp002); πE != nil {
							isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
							if exc != nil {
								πE = exc
								continue
							}
							if !isStop {
								continue
							}
							πE = nil
							πF.RestoreExc(nil, nil)
							goto Label2
						}
						if πE = πg.Tie(πF, πg.TieTarget{Children: []πg.TieTarget{πg.TieTarget{Target: &πTemp004}, πg.TieTarget{Target: &πTemp005}}}, πTemp003); πE != nil {
							continue
						}
						µrgb = πTemp004
						µhsv = πTemp005
						// line 43: self.assertTripleEqual(hsv, colorsys.rgb_to_hsv(*rgb))
						πF.SetLineno(43)
						πTemp001 = πF.MakeArgs(2)
						if πE = πg.CheckLocal(πF, µhsv, "hsv"); πE != nil {
							continue
						}
						πTemp001[0] = µhsv
						if πE = πg.CheckLocal(πF, µrgb, "rgb"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.ResolveGlobal(πF, ßcolorsys); πE != nil {
							continue
						}
						if πTemp005, πE = πg.GetAttr(πF, πTemp004, ßrgb_to_hsv, nil); πE != nil {
							continue
						}
						if πTemp004, πE = πg.Invoke(πF, πTemp005, nil, µrgb, nil, nil); πE != nil {
							continue
						}
						πTemp001[1] = πTemp004
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.GetAttr(πF, µself, ßassertTripleEqual, nil); πE != nil {
							continue
						}
						if πTemp005, πE = πTemp004.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						// line 44: self.assertTripleEqual(rgb, colorsys.hsv_to_rgb(*hsv))
						πF.SetLineno(44)
						πTemp001 = πF.MakeArgs(2)
						if πE = πg.CheckLocal(πF, µrgb, "rgb"); πE != nil {
							continue
						}
						πTemp001[0] = µrgb
						if πE = πg.CheckLocal(πF, µhsv, "hsv"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.ResolveGlobal(πF, ßcolorsys); πE != nil {
							continue
						}
						if πTemp005, πE = πg.GetAttr(πF, πTemp004, ßhsv_to_rgb, nil); πE != nil {
							continue
						}
						if πTemp004, πE = πg.Invoke(πF, πTemp005, nil, µhsv, nil, nil); πE != nil {
							continue
						}
						πTemp001[1] = πTemp004
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.GetAttr(πF, µself, ßassertTripleEqual, nil); πE != nil {
							continue
						}
						if πTemp005, πE = πTemp004.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						goto Label1
						goto Label2
					Label2:
						return nil, nil
					}
					return nil, πE
				}), πF.Globals()).ToObject()
				if πE = πClass.SetItem(πF, ßtest_hsv_values.ToObject(), πTemp004); πE != nil {
					continue
				}
				// line 46: def test_hls_roundtrip(self):
				πF.SetLineno(46)
				πTemp002 = make([]πg.Param, 1)
				πTemp002[0] = πg.Param{Name: "self", Def: nil}
				πTemp005 = πg.NewFunction(πg.NewCode("test_hls_roundtrip", "build/src/__python__/test/test_colorsys.py", πTemp002, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
					var µself *πg.Object = πArgs[0]; _ = µself
					var µr *πg.Object = πg.UnboundLocal; _ = µr
					var µg *πg.Object = πg.UnboundLocal; _ = µg
					var µb *πg.Object = πg.UnboundLocal; _ = µb
					var µrgb *πg.Object = πg.UnboundLocal; _ = µrgb
					var πTemp001 []*πg.Object
					_ = πTemp001
					var πTemp002 *πg.Object
					_ = πTemp002
					var πTemp003 *πg.Object
					_ = πTemp003
					var πTemp004 *πg.Object
					_ = πTemp004
					var πTemp005 *πg.Object
					_ = πTemp005
					var πTemp006 *πg.Object
					_ = πTemp006
					var πTemp007 *πg.Object
					_ = πTemp007
					var πTemp008 *πg.Object
					_ = πTemp008
					var πTemp009 *πg.Object
					_ = πTemp009
					var πTemp010 *πg.Object
					_ = πTemp010
					var πTemp011 *πg.Object
					_ = πTemp011
					var πTemp012 *πg.Object
					_ = πTemp012
					var πTemp013 *πg.Object
					_ = πTemp013
					var πE *πg.BaseException; _ = πE
					for ; πF.State() >= 0; πF.PopCheckpoint() {
						switch πF.State() {
						case 0:
						default: panic("unexpected function state")
						}
						// line 47: for r in frange(0.0, 1.0, 0.2):
						πF.SetLineno(47)
						πTemp001 = πF.MakeArgs(3)
						πTemp001[0] = πg.NewFloat(0.0).ToObject()
						πTemp001[1] = πg.NewFloat(1.0).ToObject()
						πTemp001[2] = πg.NewFloat(0.2).ToObject()
						if πTemp002, πE = πg.ResolveGlobal(πF, ßfrange); πE != nil {
							continue
						}
						if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						if πTemp002, πE = πg.Iter(πF, πTemp003); πE != nil {
							continue
						}
					Label1:
						if πTemp004, πE = πg.Next(πF, πTemp002); πE != nil {
							isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
							if exc != nil {
								πE = exc
								continue
							}
							if !isStop {
								continue
							}
							πE = nil
							πF.RestoreExc(nil, nil)
							goto Label2
						}
						µr = πTemp004
						// line 48: for g in frange(0.0, 1.0, 0.2):
						πF.SetLineno(48)
						πTemp001 = πF.MakeArgs(3)
						πTemp001[0] = πg.NewFloat(0.0).ToObject()
						πTemp001[1] = πg.NewFloat(1.0).ToObject()
						πTemp001[2] = πg.NewFloat(0.2).ToObject()
						if πTemp005, πE = πg.ResolveGlobal(πF, ßfrange); πE != nil {
							continue
						}
						if πTemp006, πE = πTemp005.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						if πTemp005, πE = πg.Iter(πF, πTemp006); πE != nil {
							continue
						}
					Label3:
						if πTemp007, πE = πg.Next(πF, πTemp005); πE != nil {
							isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
							if exc != nil {
								πE = exc
								continue
							}
							if !isStop {
								continue
							}
							πE = nil
							πF.RestoreExc(nil, nil)
							goto Label4
						}
						µg = πTemp007
						// line 49: for b in frange(0.0, 1.0, 0.2):
						πF.SetLineno(49)
						πTemp001 = πF.MakeArgs(3)
						πTemp001[0] = πg.NewFloat(0.0).ToObject()
						πTemp001[1] = πg.NewFloat(1.0).ToObject()
						πTemp001[2] = πg.NewFloat(0.2).ToObject()
						if πTemp008, πE = πg.ResolveGlobal(πF, ßfrange); πE != nil {
							continue
						}
						if πTemp009, πE = πTemp008.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						if πTemp008, πE = πg.Iter(πF, πTemp009); πE != nil {
							continue
						}
					Label5:
						if πTemp010, πE = πg.Next(πF, πTemp008); πE != nil {
							isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
							if exc != nil {
								πE = exc
								continue
							}
							if !isStop {
								continue
							}
							πE = nil
							πF.RestoreExc(nil, nil)
							goto Label6
						}
						µb = πTemp010
						// line 50: rgb = (r, g, b)
						πF.SetLineno(50)
						if πE = πg.CheckLocal(πF, µr, "r"); πE != nil {
							continue
						}
						if πE = πg.CheckLocal(πF, µg, "g"); πE != nil {
							continue
						}
						if πE = πg.CheckLocal(πF, µb, "b"); πE != nil {
							continue
						}
						πTemp011 = πg.NewTuple3(µr, µg, µb).ToObject()
						µrgb = πTemp011
						// line 51: self.assertTripleEqual(
						πF.SetLineno(51)
						πTemp001 = πF.MakeArgs(2)
						if πE = πg.CheckLocal(πF, µrgb, "rgb"); πE != nil {
							continue
						}
						πTemp001[0] = µrgb
						if πE = πg.CheckLocal(πF, µrgb, "rgb"); πE != nil {
							continue
						}
						if πTemp011, πE = πg.ResolveGlobal(πF, ßcolorsys); πE != nil {
							continue
						}
						if πTemp012, πE = πg.GetAttr(πF, πTemp011, ßrgb_to_hls, nil); πE != nil {
							continue
						}
						if πTemp011, πE = πg.Invoke(πF, πTemp012, nil, µrgb, nil, nil); πE != nil {
							continue
						}
						if πTemp012, πE = πg.ResolveGlobal(πF, ßcolorsys); πE != nil {
							continue
						}
						if πTemp013, πE = πg.GetAttr(πF, πTemp012, ßhls_to_rgb, nil); πE != nil {
							continue
						}
						if πTemp012, πE = πg.Invoke(πF, πTemp013, nil, πTemp011, nil, nil); πE != nil {
							continue
						}
						πTemp001[1] = πTemp012
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp011, πE = πg.GetAttr(πF, µself, ßassertTripleEqual, nil); πE != nil {
							continue
						}
						if πTemp012, πE = πTemp011.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						goto Label5
						goto Label6
					Label6:
						goto Label3
						goto Label4
					Label4:
						goto Label1
						goto Label2
					Label2:
						return nil, nil
					}
					return nil, πE
				}), πF.Globals()).ToObject()
				if πE = πClass.SetItem(πF, ßtest_hls_roundtrip.ToObject(), πTemp005); πE != nil {
					continue
				}
				// line 56: def test_hls_values(self):
				πF.SetLineno(56)
				πTemp002 = make([]πg.Param, 1)
				πTemp002[0] = πg.Param{Name: "self", Def: nil}
				πTemp006 = πg.NewFunction(πg.NewCode("test_hls_values", "build/src/__python__/test/test_colorsys.py", πTemp002, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
					var µself *πg.Object = πArgs[0]; _ = µself
					var µvalues *πg.Object = πg.UnboundLocal; _ = µvalues
					var µrgb *πg.Object = πg.UnboundLocal; _ = µrgb
					var µhls *πg.Object = πg.UnboundLocal; _ = µhls
					var πTemp001 []*πg.Object
					_ = πTemp001
					var πTemp002 *πg.Object
					_ = πTemp002
					var πTemp003 *πg.Object
					_ = πTemp003
					var πTemp004 *πg.Object
					_ = πTemp004
					var πTemp005 *πg.Object
					_ = πTemp005
					var πE *πg.BaseException; _ = πE
					for ; πF.State() >= 0; πF.PopCheckpoint() {
						switch πF.State() {
						case 0:
						default: panic("unexpected function state")
						}
						// line 57: values = [
						πF.SetLineno(57)
						πTemp001 = make([]*πg.Object, 9)
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						πTemp004 = πg.NewTuple3(πg.NewInt(0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[0] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						if πTemp005, πE = πg.Div(πF, πg.NewFloat(4.0).ToObject(), πg.NewFloat(6.0).ToObject()); πE != nil {
							continue
						}
						πTemp004 = πg.NewTuple3(πTemp005, πg.NewFloat(0.5).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[1] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.0).ToObject(), πg.NewFloat(1.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						if πTemp005, πE = πg.Div(πF, πg.NewFloat(2.0).ToObject(), πg.NewFloat(6.0).ToObject()); πE != nil {
							continue
						}
						πTemp004 = πg.NewTuple3(πTemp005, πg.NewFloat(0.5).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[2] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.0).ToObject(), πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						if πTemp005, πE = πg.Div(πF, πg.NewFloat(3.0).ToObject(), πg.NewFloat(6.0).ToObject()); πE != nil {
							continue
						}
						πTemp004 = πg.NewTuple3(πTemp005, πg.NewFloat(0.5).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[3] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(1.0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						πTemp004 = πg.NewTuple3(πg.NewInt(0).ToObject(), πg.NewFloat(0.5).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[4] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(1.0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						if πTemp005, πE = πg.Div(πF, πg.NewFloat(5.0).ToObject(), πg.NewFloat(6.0).ToObject()); πE != nil {
							continue
						}
						πTemp004 = πg.NewTuple3(πTemp005, πg.NewFloat(0.5).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[5] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						if πTemp005, πE = πg.Div(πF, πg.NewFloat(1.0).ToObject(), πg.NewFloat(6.0).ToObject()); πE != nil {
							continue
						}
						πTemp004 = πg.NewTuple3(πTemp005, πg.NewFloat(0.5).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[6] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp004 = πg.NewTuple3(πg.NewInt(0).ToObject(), πg.NewFloat(1.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[7] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.5).ToObject(), πg.NewFloat(0.5).ToObject(), πg.NewFloat(0.5).ToObject()).ToObject()
						πTemp004 = πg.NewTuple3(πg.NewInt(0).ToObject(), πg.NewFloat(0.5).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[8] = πTemp002
						πTemp002 = πg.NewList(πTemp001...).ToObject()
						µvalues = πTemp002
						// line 69: for (rgb, hls) in values:
						πF.SetLineno(69)
						if πE = πg.CheckLocal(πF, µvalues, "values"); πE != nil {
							continue
						}
						if πTemp002, πE = πg.Iter(πF, µvalues); πE != nil {
							continue
						}
					Label1:
						if πTemp003, πE = πg.Next(πF, πTemp002); πE != nil {
							isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
							if exc != nil {
								πE = exc
								continue
							}
							if !isStop {
								continue
							}
							πE = nil
							πF.RestoreExc(nil, nil)
							goto Label2
						}
						if πE = πg.Tie(πF, πg.TieTarget{Children: []πg.TieTarget{πg.TieTarget{Target: &πTemp004}, πg.TieTarget{Target: &πTemp005}}}, πTemp003); πE != nil {
							continue
						}
						µrgb = πTemp004
						µhls = πTemp005
						// line 70: self.assertTripleEqual(hls, colorsys.rgb_to_hls(*rgb))
						πF.SetLineno(70)
						πTemp001 = πF.MakeArgs(2)
						if πE = πg.CheckLocal(πF, µhls, "hls"); πE != nil {
							continue
						}
						πTemp001[0] = µhls
						if πE = πg.CheckLocal(πF, µrgb, "rgb"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.ResolveGlobal(πF, ßcolorsys); πE != nil {
							continue
						}
						if πTemp005, πE = πg.GetAttr(πF, πTemp004, ßrgb_to_hls, nil); πE != nil {
							continue
						}
						if πTemp004, πE = πg.Invoke(πF, πTemp005, nil, µrgb, nil, nil); πE != nil {
							continue
						}
						πTemp001[1] = πTemp004
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.GetAttr(πF, µself, ßassertTripleEqual, nil); πE != nil {
							continue
						}
						if πTemp005, πE = πTemp004.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						// line 71: self.assertTripleEqual(rgb, colorsys.hls_to_rgb(*hls))
						πF.SetLineno(71)
						πTemp001 = πF.MakeArgs(2)
						if πE = πg.CheckLocal(πF, µrgb, "rgb"); πE != nil {
							continue
						}
						πTemp001[0] = µrgb
						if πE = πg.CheckLocal(πF, µhls, "hls"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.ResolveGlobal(πF, ßcolorsys); πE != nil {
							continue
						}
						if πTemp005, πE = πg.GetAttr(πF, πTemp004, ßhls_to_rgb, nil); πE != nil {
							continue
						}
						if πTemp004, πE = πg.Invoke(πF, πTemp005, nil, µhls, nil, nil); πE != nil {
							continue
						}
						πTemp001[1] = πTemp004
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.GetAttr(πF, µself, ßassertTripleEqual, nil); πE != nil {
							continue
						}
						if πTemp005, πE = πTemp004.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						goto Label1
						goto Label2
					Label2:
						return nil, nil
					}
					return nil, πE
				}), πF.Globals()).ToObject()
				if πE = πClass.SetItem(πF, ßtest_hls_values.ToObject(), πTemp006); πE != nil {
					continue
				}
				// line 73: def test_yiq_roundtrip(self):
				πF.SetLineno(73)
				πTemp002 = make([]πg.Param, 1)
				πTemp002[0] = πg.Param{Name: "self", Def: nil}
				πTemp007 = πg.NewFunction(πg.NewCode("test_yiq_roundtrip", "build/src/__python__/test/test_colorsys.py", πTemp002, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
					var µself *πg.Object = πArgs[0]; _ = µself
					var µr *πg.Object = πg.UnboundLocal; _ = µr
					var µg *πg.Object = πg.UnboundLocal; _ = µg
					var µb *πg.Object = πg.UnboundLocal; _ = µb
					var µrgb *πg.Object = πg.UnboundLocal; _ = µrgb
					var πTemp001 []*πg.Object
					_ = πTemp001
					var πTemp002 *πg.Object
					_ = πTemp002
					var πTemp003 *πg.Object
					_ = πTemp003
					var πTemp004 *πg.Object
					_ = πTemp004
					var πTemp005 *πg.Object
					_ = πTemp005
					var πTemp006 *πg.Object
					_ = πTemp006
					var πTemp007 *πg.Object
					_ = πTemp007
					var πTemp008 *πg.Object
					_ = πTemp008
					var πTemp009 *πg.Object
					_ = πTemp009
					var πTemp010 *πg.Object
					_ = πTemp010
					var πTemp011 *πg.Object
					_ = πTemp011
					var πTemp012 *πg.Object
					_ = πTemp012
					var πTemp013 *πg.Object
					_ = πTemp013
					var πE *πg.BaseException; _ = πE
					for ; πF.State() >= 0; πF.PopCheckpoint() {
						switch πF.State() {
						case 0:
						default: panic("unexpected function state")
						}
						// line 74: for r in frange(0.0, 1.0, 0.2):
						πF.SetLineno(74)
						πTemp001 = πF.MakeArgs(3)
						πTemp001[0] = πg.NewFloat(0.0).ToObject()
						πTemp001[1] = πg.NewFloat(1.0).ToObject()
						πTemp001[2] = πg.NewFloat(0.2).ToObject()
						if πTemp002, πE = πg.ResolveGlobal(πF, ßfrange); πE != nil {
							continue
						}
						if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						if πTemp002, πE = πg.Iter(πF, πTemp003); πE != nil {
							continue
						}
					Label1:
						if πTemp004, πE = πg.Next(πF, πTemp002); πE != nil {
							isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
							if exc != nil {
								πE = exc
								continue
							}
							if !isStop {
								continue
							}
							πE = nil
							πF.RestoreExc(nil, nil)
							goto Label2
						}
						µr = πTemp004
						// line 75: for g in frange(0.0, 1.0, 0.2):
						πF.SetLineno(75)
						πTemp001 = πF.MakeArgs(3)
						πTemp001[0] = πg.NewFloat(0.0).ToObject()
						πTemp001[1] = πg.NewFloat(1.0).ToObject()
						πTemp001[2] = πg.NewFloat(0.2).ToObject()
						if πTemp005, πE = πg.ResolveGlobal(πF, ßfrange); πE != nil {
							continue
						}
						if πTemp006, πE = πTemp005.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						if πTemp005, πE = πg.Iter(πF, πTemp006); πE != nil {
							continue
						}
					Label3:
						if πTemp007, πE = πg.Next(πF, πTemp005); πE != nil {
							isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
							if exc != nil {
								πE = exc
								continue
							}
							if !isStop {
								continue
							}
							πE = nil
							πF.RestoreExc(nil, nil)
							goto Label4
						}
						µg = πTemp007
						// line 76: for b in frange(0.0, 1.0, 0.2):
						πF.SetLineno(76)
						πTemp001 = πF.MakeArgs(3)
						πTemp001[0] = πg.NewFloat(0.0).ToObject()
						πTemp001[1] = πg.NewFloat(1.0).ToObject()
						πTemp001[2] = πg.NewFloat(0.2).ToObject()
						if πTemp008, πE = πg.ResolveGlobal(πF, ßfrange); πE != nil {
							continue
						}
						if πTemp009, πE = πTemp008.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						if πTemp008, πE = πg.Iter(πF, πTemp009); πE != nil {
							continue
						}
					Label5:
						if πTemp010, πE = πg.Next(πF, πTemp008); πE != nil {
							isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
							if exc != nil {
								πE = exc
								continue
							}
							if !isStop {
								continue
							}
							πE = nil
							πF.RestoreExc(nil, nil)
							goto Label6
						}
						µb = πTemp010
						// line 77: rgb = (r, g, b)
						πF.SetLineno(77)
						if πE = πg.CheckLocal(πF, µr, "r"); πE != nil {
							continue
						}
						if πE = πg.CheckLocal(πF, µg, "g"); πE != nil {
							continue
						}
						if πE = πg.CheckLocal(πF, µb, "b"); πE != nil {
							continue
						}
						πTemp011 = πg.NewTuple3(µr, µg, µb).ToObject()
						µrgb = πTemp011
						// line 78: self.assertTripleEqual(
						πF.SetLineno(78)
						πTemp001 = πF.MakeArgs(2)
						if πE = πg.CheckLocal(πF, µrgb, "rgb"); πE != nil {
							continue
						}
						πTemp001[0] = µrgb
						if πE = πg.CheckLocal(πF, µrgb, "rgb"); πE != nil {
							continue
						}
						if πTemp011, πE = πg.ResolveGlobal(πF, ßcolorsys); πE != nil {
							continue
						}
						if πTemp012, πE = πg.GetAttr(πF, πTemp011, ßrgb_to_yiq, nil); πE != nil {
							continue
						}
						if πTemp011, πE = πg.Invoke(πF, πTemp012, nil, µrgb, nil, nil); πE != nil {
							continue
						}
						if πTemp012, πE = πg.ResolveGlobal(πF, ßcolorsys); πE != nil {
							continue
						}
						if πTemp013, πE = πg.GetAttr(πF, πTemp012, ßyiq_to_rgb, nil); πE != nil {
							continue
						}
						if πTemp012, πE = πg.Invoke(πF, πTemp013, nil, πTemp011, nil, nil); πE != nil {
							continue
						}
						πTemp001[1] = πTemp012
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp011, πE = πg.GetAttr(πF, µself, ßassertTripleEqual, nil); πE != nil {
							continue
						}
						if πTemp012, πE = πTemp011.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						goto Label5
						goto Label6
					Label6:
						goto Label3
						goto Label4
					Label4:
						goto Label1
						goto Label2
					Label2:
						return nil, nil
					}
					return nil, πE
				}), πF.Globals()).ToObject()
				if πE = πClass.SetItem(πF, ßtest_yiq_roundtrip.ToObject(), πTemp007); πE != nil {
					continue
				}
				// line 83: def test_yiq_values(self):
				πF.SetLineno(83)
				πTemp002 = make([]πg.Param, 1)
				πTemp002[0] = πg.Param{Name: "self", Def: nil}
				πTemp008 = πg.NewFunction(πg.NewCode("test_yiq_values", "build/src/__python__/test/test_colorsys.py", πTemp002, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
					var µself *πg.Object = πArgs[0]; _ = µself
					var µvalues *πg.Object = πg.UnboundLocal; _ = µvalues
					var µrgb *πg.Object = πg.UnboundLocal; _ = µrgb
					var µyiq *πg.Object = πg.UnboundLocal; _ = µyiq
					var πTemp001 []*πg.Object
					_ = πTemp001
					var πTemp002 *πg.Object
					_ = πTemp002
					var πTemp003 *πg.Object
					_ = πTemp003
					var πTemp004 *πg.Object
					_ = πTemp004
					var πTemp005 *πg.Object
					_ = πTemp005
					var πTemp006 *πg.Object
					_ = πTemp006
					var πE *πg.BaseException; _ = πE
					for ; πF.State() >= 0; πF.PopCheckpoint() {
						switch πF.State() {
						case 0:
						default: panic("unexpected function state")
						}
						// line 84: values = [
						πF.SetLineno(84)
						πTemp001 = make([]*πg.Object, 9)
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						πTemp004 = πg.NewTuple3(πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[0] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						if πTemp005, πE = πg.Neg(πF, πg.NewFloat(0.3217).ToObject()); πE != nil {
							continue
						}
						πTemp004 = πg.NewTuple3(πg.NewFloat(0.11).ToObject(), πTemp005, πg.NewFloat(0.3121).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[1] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.0).ToObject(), πg.NewFloat(1.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						if πTemp005, πE = πg.Neg(πF, πg.NewFloat(0.2773).ToObject()); πE != nil {
							continue
						}
						if πTemp006, πE = πg.Neg(πF, πg.NewFloat(0.5251).ToObject()); πE != nil {
							continue
						}
						πTemp004 = πg.NewTuple3(πg.NewFloat(0.59).ToObject(), πTemp005, πTemp006).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[2] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.0).ToObject(), πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						if πTemp005, πE = πg.Neg(πF, πg.NewFloat(0.599).ToObject()); πE != nil {
							continue
						}
						if πTemp006, πE = πg.Neg(πF, πg.NewFloat(0.213).ToObject()); πE != nil {
							continue
						}
						πTemp004 = πg.NewTuple3(πg.NewFloat(0.7).ToObject(), πTemp005, πTemp006).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[3] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(1.0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						πTemp004 = πg.NewTuple3(πg.NewFloat(0.3).ToObject(), πg.NewFloat(0.599).ToObject(), πg.NewFloat(0.213).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[4] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(1.0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp004 = πg.NewTuple3(πg.NewFloat(0.41).ToObject(), πg.NewFloat(0.2773).ToObject(), πg.NewFloat(0.5251).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[5] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						if πTemp005, πE = πg.Neg(πF, πg.NewFloat(0.3121).ToObject()); πE != nil {
							continue
						}
						πTemp004 = πg.NewTuple3(πg.NewFloat(0.89).ToObject(), πg.NewFloat(0.3217).ToObject(), πTemp005).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[6] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject(), πg.NewFloat(1.0).ToObject()).ToObject()
						πTemp004 = πg.NewTuple3(πg.NewFloat(1.0).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[7] = πTemp002
						πTemp003 = πg.NewTuple3(πg.NewFloat(0.5).ToObject(), πg.NewFloat(0.5).ToObject(), πg.NewFloat(0.5).ToObject()).ToObject()
						πTemp004 = πg.NewTuple3(πg.NewFloat(0.5).ToObject(), πg.NewFloat(0.0).ToObject(), πg.NewFloat(0.0).ToObject()).ToObject()
						πTemp002 = πg.NewTuple2(πTemp003, πTemp004).ToObject()
						πTemp001[8] = πTemp002
						πTemp002 = πg.NewList(πTemp001...).ToObject()
						µvalues = πTemp002
						// line 96: for (rgb, yiq) in values:
						πF.SetLineno(96)
						if πE = πg.CheckLocal(πF, µvalues, "values"); πE != nil {
							continue
						}
						if πTemp002, πE = πg.Iter(πF, µvalues); πE != nil {
							continue
						}
					Label1:
						if πTemp003, πE = πg.Next(πF, πTemp002); πE != nil {
							isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
							if exc != nil {
								πE = exc
								continue
							}
							if !isStop {
								continue
							}
							πE = nil
							πF.RestoreExc(nil, nil)
							goto Label2
						}
						if πE = πg.Tie(πF, πg.TieTarget{Children: []πg.TieTarget{πg.TieTarget{Target: &πTemp004}, πg.TieTarget{Target: &πTemp005}}}, πTemp003); πE != nil {
							continue
						}
						µrgb = πTemp004
						µyiq = πTemp005
						// line 97: self.assertTripleEqual(yiq, colorsys.rgb_to_yiq(*rgb))
						πF.SetLineno(97)
						πTemp001 = πF.MakeArgs(2)
						if πE = πg.CheckLocal(πF, µyiq, "yiq"); πE != nil {
							continue
						}
						πTemp001[0] = µyiq
						if πE = πg.CheckLocal(πF, µrgb, "rgb"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.ResolveGlobal(πF, ßcolorsys); πE != nil {
							continue
						}
						if πTemp005, πE = πg.GetAttr(πF, πTemp004, ßrgb_to_yiq, nil); πE != nil {
							continue
						}
						if πTemp004, πE = πg.Invoke(πF, πTemp005, nil, µrgb, nil, nil); πE != nil {
							continue
						}
						πTemp001[1] = πTemp004
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.GetAttr(πF, µself, ßassertTripleEqual, nil); πE != nil {
							continue
						}
						if πTemp005, πE = πTemp004.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						// line 98: self.assertTripleEqual(rgb, colorsys.yiq_to_rgb(*yiq))
						πF.SetLineno(98)
						πTemp001 = πF.MakeArgs(2)
						if πE = πg.CheckLocal(πF, µrgb, "rgb"); πE != nil {
							continue
						}
						πTemp001[0] = µrgb
						if πE = πg.CheckLocal(πF, µyiq, "yiq"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.ResolveGlobal(πF, ßcolorsys); πE != nil {
							continue
						}
						if πTemp005, πE = πg.GetAttr(πF, πTemp004, ßyiq_to_rgb, nil); πE != nil {
							continue
						}
						if πTemp004, πE = πg.Invoke(πF, πTemp005, nil, µyiq, nil, nil); πE != nil {
							continue
						}
						πTemp001[1] = πTemp004
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp004, πE = πg.GetAttr(πF, µself, ßassertTripleEqual, nil); πE != nil {
							continue
						}
						if πTemp005, πE = πTemp004.Call(πF, πTemp001, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp001)
						goto Label1
						goto Label2
					Label2:
						return nil, nil
					}
					return nil, πE
				}), πF.Globals()).ToObject()
				if πE = πClass.SetItem(πF, ßtest_yiq_values.ToObject(), πTemp008); πE != nil {
					continue
				}
				return nil, nil
			}
			return nil, πE
		}).Eval(πF, πF.Globals(), nil, nil)
		if πE != nil {
			continue
		}
		if πTemp006, πE = πTemp004.GetItem(πF, ß__metaclass__.ToObject()); πE != nil {
			continue
		}
		if πTemp006 == nil {
			πTemp006 = πg.TypeType.ToObject()
		}
		if πTemp007, πE = πTemp006.Call(πF, []*πg.Object{πg.NewStr("ColorsysTest").ToObject(), πg.NewTuple(πTemp002...).ToObject(), πTemp004.ToObject()}, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßColorsysTest.ToObject(), πTemp007); πE != nil {
			continue
		}
		// line 100: def test_main():
		πF.SetLineno(100)
		πTemp003 = make([]πg.Param, 0)
		πTemp005 = πg.NewFunction(πg.NewCode("test_main", "build/src/__python__/test/test_colorsys.py", πTemp003, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var πTemp001 []*πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 101: test_support.run_unittest(ColorsysTest)
				πF.SetLineno(101)
				πTemp001 = πF.MakeArgs(1)
				if πTemp002, πE = πg.ResolveGlobal(πF, ßColorsysTest); πE != nil {
					continue
				}
				πTemp001[0] = πTemp002
				if πTemp002, πE = πg.ResolveGlobal(πF, ßtest_support); πE != nil {
					continue
				}
				if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßrun_unittest, nil); πE != nil {
					continue
				}
				if πTemp002, πE = πTemp003.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßtest_main.ToObject(), πTemp005); πE != nil {
			continue
		}
		if πTemp007, πE = πg.ResolveGlobal(πF, ß__name__); πE != nil {
			continue
		}
		if πTemp006, πE = πg.Eq(πF, πTemp007, ß__main__.ToObject()); πE != nil {
			continue
		}
		if πTemp009, πE = πg.IsTrue(πF, πTemp006); πE != nil {
			continue
		}
		if πTemp009 {
			goto Label1
		}
		goto Label2
		// line 103: if __name__ == "__main__":
		πF.SetLineno(103)
	Label1:
		// line 104: test_main()
		πF.SetLineno(104)
		if πTemp006, πE = πg.ResolveGlobal(πF, ßtest_main); πE != nil {
			continue
		}
		if πTemp007, πE = πTemp006.Call(πF, nil, nil); πE != nil {
			continue
		}
		goto Label2
	Label2:
		return nil, nil
	}
	return nil, πE
}
var Code *πg.Code
func init() {
	Code = πg.NewCode("<module>", "build/src/__python__/test/test_colorsys.py", nil, 0, initModule)
}
